## designate-dashboard 2.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=1.6 # Apache-2.0
Babel>=1.3 # BSD
python-designateclient>=1.5.0 # Apache-2.0

=== debian/changelog ===
designate-dashboard (2.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 07 Apr 2016 22:38:02 +0200

designate-dashboard (2.0.0~rc2-1) unstable; urgency=medium

  * Initial release. (Closes: #812600)

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Mar 2016 20:43:44 +0100

=== debian/control ===
Source: designate-dashboard
Section: python
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: openstack-dashboard (>= 9.0.0~rc1),
                     python-babel,
                     python-coverage,
                     python-designateclient (>= 1.5.0),
                     python-django (>= 1.8),
                     python-django-compressor (>= 2.0),
                     python-django-nose,
                     python-django-openstack-auth (>= 2.0.0),
                     python-mock (>= 1.3),
                     python-mox,
                     python-mox3 (>= 0.7.0),
                     python-nose,
                     python-nosehtmloutput,
                     python-nosexcover,
                     python-openstack.nose-plugin,
                     python-oslo.config (>= 3.7.0),
                     python-oslosphinx (>= 2.5.0),
                     python-testtools (>= 1.4.0),
                     python-unittest2,
                     testrepository,
Standards-Version: 3.9.7
Homepage: https://github.com/stackforge/designate-dashboard
Vcs-Git: https://anonscm.debian.org/git/openstack/designate-dashboard.git
Vcs-Browser: https://anonscm.debian.org/cgit/openstack/designate-dashboard.git/

Package: python-designate-dashboard
Architecture: all
Depends: openstack-dashboard (>= 9.0.0~rc1),
         python-babel,
         python-designateclient (>= 1.5.0),
         python-pbr (>= 1.8),
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack DNS as a Service - dashboard plugin
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package contains the OpenStack dashboard plugin.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)

UPSTREAM_GIT = git://github.com/openstack/designate-dashboard.git
include /usr/share/openstack-pkg-tools/pkgos.make
export OSLO_PACKAGE_VERSION=$(shell dpkg-parsechangelog | grep Version: | cut -d' ' -f2 | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/.0/' | head -n 1)

%:
	dh $@ --buildsystem=python_distutils --with python2

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR) \
		NOSE_WITH_OPENSTACK=1 \
		NOSE_OPENSTACK_COLOR=1 \
		NOSE_OPENSTACK_RED=0.05 \
		NOSE_OPENSTACK_YELLOW=0.025 \
		NOSE_OPENSTACK_SHOW_ELAPSED=1 \
		PYTHONDONTWRITEBYTECODE=1 \
		DJANGO_SETTINGS_MODULE=designatedashboard.settings \
		python $(CURDIR)/manage.py test designatedashboard --settings=designatedashboard.tests.settings
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf .coverage*

override_dh_auto_install:
	dh_auto_install -O--buildsystem=python_distutils

	# Activates the designatedashboard plugin in Horizon
	# designatedashboard/enabled/_7*
	set -e ; for pyvers in $(PYTHONS); do \
		mkdir -p $(CURDIR)/debian/python-designate-dashboard/usr/lib/python$$pyvers/dist-packages/openstack_dashboard/enabled ; \
		cp $(CURDIR)/designatedashboard/enabled/_17* $(CURDIR)/debian/python-designate-dashboard/usr/lib/python$$pyvers/dist-packages/openstack_dashboard/enabled ; \
	done
	mkdir -p $(CURDIR)/debian/python-designate-dashboard/usr/share/openstack-dashboard/openstack_dashboard/enabled
	cp $(CURDIR)/designatedashboard/enabled/_17*.py $(CURDIR)/debian/python-designate-dashboard/usr/share/openstack-dashboard/openstack_dashboard/enabled

	set -e ; set -x ; for i in api dashboards ; do \
		cp -auxf designatedashboard/$$i $(CURDIR)/debian/python-designate-dashboard/usr/share/openstack-dashboard/openstack_dashboard ; \
	done
	rm $(CURDIR)/debian/python-designate-dashboard/usr/share/openstack-dashboard/openstack_dashboard/api/__init__.py
	rm $(CURDIR)/debian/python-designate-dashboard/usr/share/openstack-dashboard/openstack_dashboard/dashboards/__init__.py
	rm $(CURDIR)/debian/python-designate-dashboard/usr/share/openstack-dashboard/openstack_dashboard/dashboards/project/__init__.py

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/stackforge/designate-dashboard/tags .*/(\d[\d\.]+)\.tar\.gz

## designate-dashboard 3.0.0~rc1

=== debian/changelog ===
designate-dashboard (3.0.0~rc1-2+2~bpo8+1) UNRELEASED; urgency=medium

  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Tue, 04 Oct 2016 14:37:20 +0000

designate-dashboard (3.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable (Closes: #837255).

 -- Thomas Goirand <zigo@debian.org>  Tue, 04 Oct 2016 09:36:35 +0200

designate-dashboard (3.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Using OpenStack's Gerrit as VCS URLs.
  * Point .gitreview file to OpenStack's Gerrit packaging-deb.
  * d/s/options: ignore .gitreview changes.
  * Disable fix-init-fails-to-get-version.patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 28 Sep 2016 01:14:56 +0200

designate-dashboard (2.0.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/rules: Removed UPSTREAM_GIT with default value

  [ Thomas Goirand ]
  * Fixed missing EPOC for the horizon and oslo.config dependency.
  * Adds fix-init-fails-to-get-version.patch (Closes: #832055).

 -- Thomas Goirand <zigo@debian.org>  Wed, 27 Jul 2016 16:20:33 +0200

## designate-dashboard 3.0.0

=== requirements.txt ===
--- 
+++ 
@@ -2,5 +2,5 @@
 # of appearance. Changing the order has an impact on the overall integration
 # process, which may cause wedges in the gate later.
 pbr>=1.6 # Apache-2.0
-Babel>=1.3 # BSD
+Babel>=2.3.4 # BSD
 python-designateclient>=1.5.0 # Apache-2.0

=== debian/changelog ===
designate-dashboard (3.0.0-3) unstable; urgency=medium

  * Correctly copy static files in /usr/share/openstack-dashboard, and run
    collect-static and compress after its done.
  * Do not install duplicate enabled file (Closes: #840638).

 -- Thomas Goirand <zigo@debian.org>  Fri, 14 Oct 2016 23:34:04 +0200

designate-dashboard (3.0.0-2) unstable; urgency=medium

  * Do not copy stuff in /usr/share/openstack-dashboard (Closes: #839908).

 -- Thomas Goirand <zigo@debian.org>  Mon, 10 Oct 2016 16:18:35 +0200

designate-dashboard (3.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 07 Oct 2016 02:09:27 +0200

=== debian/control ===
Source: designate-dashboard
Section: python
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools (>= 53~),
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: openstack-dashboard (>= 3:10.0.0~rc1),
                     python-babel (>= 2.3.4),
                     python-coverage,
                     python-designateclient (>= 1.5.0),
                     python-django (>= 1.8),
                     python-django-compressor (>= 2.0),
                     python-django-nose (>= 1.4.4),
                     python-django-openstack-auth (>= 2.4.0),
                     python-mock (>= 2.0),
                     python-mox,
                     python-mox3 (>= 0.7.0),
                     python-nose,
                     python-nosehtmloutput,
                     python-nosexcover,
                     python-openstack.nose-plugin,
                     python-oslo.config (>= 1:3.14.0),
                     python-oslosphinx (>= 2.5.0),
                     python-testtools (>= 1.4.0),
                     python-unittest2,
                     testrepository,
Standards-Version: 3.9.8
Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-designate-dashboard?h=debian%2Fnewton
Vcs-Git: https://git.openstack.org/openstack/deb-designate-dashboard.git -b debian/newton
Homepage: https://github.com/stackforge/designate-dashboard

Package: python-designate-dashboard
Architecture: all
Depends: openstack-dashboard (>= 3:10.0.0~rc1),
         python-babel (>= 2.3.4),
         python-designateclient (>= 1.5.0),
         python-pbr (>= 1.8),
         python-pkg-resources,
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack DNS as a Service - dashboard plugin
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package contains the OpenStack dashboard plugin.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR) \
		NOSE_WITH_OPENSTACK=1 \
		NOSE_OPENSTACK_COLOR=1 \
		NOSE_OPENSTACK_RED=0.05 \
		NOSE_OPENSTACK_YELLOW=0.025 \
		NOSE_OPENSTACK_SHOW_ELAPSED=1 \
		PYTHONDONTWRITEBYTECODE=1 \
		DJANGO_SETTINGS_MODULE=designatedashboard.settings \
		python $(CURDIR)/manage.py test designatedashboard --settings=designatedashboard.tests.settings
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf .coverage*

override_dh_auto_install:
	dh_auto_install -O--buildsystem=python_distutils

	# Activates the designatedashboard plugin in Horizon
	# designatedashboard/enabled/_17*
	mkdir -p $(CURDIR)/debian/python-designate-dashboard/usr/lib/python2.7/dist-packages/openstack_dashboard/enabled ; \
	mkdir -p $(CURDIR)/debian/python-designate-dashboard/usr/share/openstack-dashboard/openstack_dashboard/enabled
	set -e ; for i in _1710_project_dns_panel_group.py _1721_dns_zones_panel.py _1722_dns_reversedns_panel.py ; do \
		cp $(CURDIR)/designatedashboard/enabled/$$i $(CURDIR)/debian/python-designate-dashboard/usr/lib/python2.7/dist-packages/openstack_dashboard/enabled ; \
		cp $(CURDIR)/designatedashboard/enabled/$$i $(CURDIR)/debian/python-designate-dashboard/usr/share/openstack-dashboard/openstack_dashboard/enabled ; \
	done

	# Copy static files
	mkdir -p $(CURDIR)/debian/python-designate-dashboard/usr/share/openstack-dashboard/openstack_dashboard/static
	cp -auxf designatedashboard/static/designatedashboard $(CURDIR)/debian/python-designate-dashboard/usr/share/openstack-dashboard/openstack_dashboard/static

## designate-dashboard 4.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
oslo.log>=3.11.0 # Apache-2.0
pbr>=1.8 # Apache-2.0
Babel>=2.3.4 # BSD
python-designateclient>=1.5.0 # Apache-2.0

=== debian/changelog ===
designate-dashboard (4.0.0-0ubuntu1) zesty; urgency=medium

  * New upstream release for Openstack Ocata. 

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 22 Feb 2017 09:36:29 -0500

designate-dashboard (4.0.0~rc2-0ubuntu1) zesty; urgency=medium

  * New upstream milestone for Openstack Ocata.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 16 Feb 2017 12:47:25 -0500

designate-dashboard (4.0.0~rc1-0ubuntu1) zesty; urgency=medium

  * New upstream milestone for OpenStack Ocata.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 09 Feb 2017 14:43:50 -0500

designate-dashboard (4.0.0~b3-0ubuntu1) zesty; urgency=medium

  * New upstream milestone for OpenStack Ocata.
  * d/control: Align (Build-)Depends with upstream.
  * d/rules: Install all panels with _17 prefix.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 31 Jan 2017 14:10:58 -0500

designate-dashboard (4.0.0~b2-0ubuntu1) zesty; urgency=medium

  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.
  * d/watch: Update watch file.
  * New upstream version.
  * d/control: Align (Build-)Depends with upstream. 

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 03 Jan 2017 14:59:36 -0500

=== debian/control ===
Source: designate-dashboard
Section: python
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools (>= 53~),
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: openstack-dashboard (>= 3:10.0.0~rc1),
                     python-babel (>= 2.3.4),
                     python-coverage (>= 4.0),
                     python-designateclient (>= 1.5.0),
                     python-django (>= 1.8),
                     python-django-compressor (>= 2.0),
                     python-django-nose (>= 1.4.4),
                     python-django-openstack-auth (>= 3.1.0),
                     python-mock (>= 2.0),
                     python-mox (>= 0.5.3),
                     python-mox3 (>= 0.7.0),
                     python-nose,
                     python-nosehtmloutput (>= 0.0.3),
                     python-nosexcover,
                     python-openstack.nose-plugin (>= 0.7),
                     python-oslo.config (>= 1:3.14.0),
                     python-oslosphinx (>= 4.7.0),
                     python-testtools (>= 1.4.0),
                     python-unittest2,
                     testrepository
Standards-Version: 3.9.8
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/designate-dashboard
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/designate-dashboard
Homepage: https://github.com/stackforge/designate-dashboard

Package: python-designate-dashboard
Architecture: all
Depends: openstack-dashboard (>= 3:10.0.0~rc1),
         python-babel (>= 2.3.4),
         python-designateclient (>= 1.5.0),
         python-pbr (>= 1.8),
         python-pkg-resources,
         ${misc:Depends},
         ${python:Depends}
Description: OpenStack DNS as a Service - dashboard plugin
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package contains the OpenStack dashboard plugin.

## designate-dashboard 5.0.0

=== debian/changelog ===
designate-dashboard (5.0.0-0ubuntu1) artful; urgency=medium

  * New upstream release for OpenStack Pike.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 30 Aug 2017 09:15:59 -0400

designate-dashboard (5.0.0~rc1-0ubuntu1) artful; urgency=medium

  * New upstream release candidate for OpenStack Pike.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Temporarily drop openstackdocstheme
    sphinx extension until sphinx>=1.6.2 is available.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 18 Aug 2017 09:00:39 -0400

designate-dashboard (5.0.0~b3-0ubuntu1) artful; urgency=medium

  * New upstream milestone for OpenStack Pike.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 28 Jul 2017 14:47:53 -0400

## designate-dashboard 5.0.1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
oslo.log>=3.22.0 # Apache-2.0
pbr!=2.1.0,>=2.0.0 # Apache-2.0
Babel!=2.4.0,>=2.3.4 # BSD
python-designateclient>=1.5.0 # Apache-2.0

=== debian/changelog ===
designate-dashboard (5.0.1-0ubuntu1.1~cloud0) xenial-pike; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 15 Mar 2018 21:44:33 +0000

designate-dashboard (5.0.1-0ubuntu1.1) artful; urgency=medium

  * d/python-designate-dashboard.postinst: Align with openstack-dashboard
    and use chown horizon instead of www-data (LP: #1755027).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 14 Mar 2018 21:18:33 -0400

designate-dashboard (5.0.1-0ubuntu1) artful; urgency=medium

  * d/gbp.conf: Create stable/pike branch.
  * New stable point release for OpenStack Pike (LP: #1715417).

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 12 Jan 2018 10:07:26 -0500

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 http://tarballs.openstack.org/designate-dashboard designate-dashboard-(\d.*)\.tar\.gz

## designate-dashboard 6.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
oslo.log>=3.36.0 # Apache-2.0
pbr!=2.1.0,>=2.0.0 # Apache-2.0
Babel!=2.4.0,>=2.3.4 # BSD
python-designateclient>=2.7.0 # Apache-2.0

=== debian/changelog ===
designate-dashboard (6.0.0-0ubuntu1.1) bionic; urgency=medium

  * d/python-designate-dashboard.postinst: Ensure /var/lib/openstack-dashboard
    exists before chown.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 14 Mar 2018 21:00:30 -0400

designate-dashboard (6.0.0-0ubuntu1) bionic; urgency=medium

  * New upstream release for OpenStack Queens.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 28 Feb 2018 13:39:30 -0500

designate-dashboard (6.0.0~rc2-0ubuntu1) bionic; urgency=medium

  * New upstream release candidate for OpenStack Queens.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 26 Feb 2018 16:38:08 -0500

designate-dashboard (6.0.0~rc1-0ubuntu1) bionic; urgency=medium

  * New upstream release candidate for OpenStack Queens.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 14 Feb 2018 21:30:07 -0500

designate-dashboard (6.0.0~b3-0ubuntu2) bionic; urgency=medium

  * d/python-designate-dashboard.postinst: Align with horizon and other
    dashboards by switching to using horizon instead of www-data.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 31 Jan 2018 15:12:42 -0500

designate-dashboard (6.0.0~b3-0ubuntu1) bionic; urgency=medium

  * New upstream milestone for OpenStack Queens.
  * d/*: wrap-and-sort -bast.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Update Standards-Version to 4.1.2.
  * d/control: Bump debhelper compat to 10.
  * d/watch: Scope to Queens series.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 26 Jan 2018 09:00:02 -0500

designate-dashboard (6.0.0~b1-0ubuntu1) bionic; urgency=medium

  * New upstream milestone for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Dropped. No longer needed.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 14 Nov 2017 17:53:37 -0500

=== debian/control ===
Source: designate-dashboard
Section: python
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10~),
 dh-python,
 openstack-pkg-tools (>= 53~),
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python-sphinx (>= 1.6.2),
Build-Depends-Indep:
 openstack-dashboard (>= 3:10.0.0~rc1),
 python-babel (>= 2.3.4),
 python-coverage (>= 4.0),
 python-designateclient (>= 2.7.0),
 python-hacking (>= 0.12.0),
 python-django (>= 1.8),
 python-django-compressor (>= 2.0),
 python-django-nose (>= 1.4.4),
 python-django-openstack-auth (>= 3.5.0),
 python-mock (>= 2.0.0),
 python-mox (>= 0.5.3),
 python-mox3 (>= 0.20.0),
 python-nose (>= 1.3.7),
 python-nosehtmloutput (>= 0.0.3),
 python-nosexcover (>= 1.0.10),
 python-openstack.nose-plugin (>= 0.7),
 python-openstackdocstheme (>= 1.18.1),
 python-oslo.config (>= 1:5.1.0),
 python-oslo.log (>= 3.36.0),
 python-testrepository (>= 0.0.18),
 python-testtools (>= 2.2.0),
 python-unittest2 (>= 1.1.0),
 testrepository,
Standards-Version: 4.1.2
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/designate-dashboard
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/designate-dashboard
Homepage: https://github.com/stackforge/designate-dashboard

Package: python-designate-dashboard
Architecture: all
Depends:
 openstack-dashboard (>= 3:10.0.0~rc1),
 python-babel (>= 2.3.4),
 python-designateclient (>= 2.7.0),
 python-oslo.log (>= 3.36.0),
 python-pbr (>= 2.0.0),
 python-pkg-resources,
 ${misc:Depends},
 ${python:Depends},
Description: OpenStack DNS as a Service - dashboard plugin
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package contains the OpenStack dashboard plugin.

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 http://tarballs.openstack.org/designate-dashboard designate-dashboard-(6\.\d.*)\.tar\.gz

## designate-dashboard 7.0.0

=== requirements.txt ===
--- 
+++ 
@@ -5,3 +5,5 @@
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
 Babel!=2.4.0,>=2.3.4 # BSD
 python-designateclient>=2.7.0 # Apache-2.0
+
+horizon>=14.0.0.0b2 # Apache-2.0

=== debian/changelog ===
designate-dashboard (7.0.0-2) unstable; urgency=medium

  * Redesign designate-dashboard:
      - Enabled files now in /etc/openstack-dashboard/
      - Removed post scripts which is now achieved by a trigger
  * d/copyright: Update copyright
  * d/control: Add me to uploaders field
  * d/watch: Fix git url

 -- Michal Arbet <michal.arbet@ultimum.io>  Mon, 21 Jan 2019 22:21:32 +0100

designate-dashboard (7.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 05 Sep 2018 20:35:55 +0200

designate-dashboard (7.0.0~rc1-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 28 Aug 2018 16:23:04 +0200

designate-dashboard (6.0.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Thomas Goirand ]
  * New upstream release.
  * Switched to Python 3.
  * Standards-Version is now 4.1.3.

 -- Thomas Goirand <zigo@debian.org>  Wed, 21 Feb 2018 08:56:25 +0100

designate-dashboard (5.0.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bumped debhelper compat version to 10

  [ Thomas Goirand ]
  * Updating vcs fields.
  * Ran wrap-and-sort -bast.
  * Updating copyright format url.
  * Updating maintainer field.
  * Deprecating priority extra as per policy 4.0.1.
  * Standards-Version is now 4.1.1.
  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 03 Nov 2017 08:18:27 +0100

=== debian/control ===
Source: designate-dashboard
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 openstack-dashboard (>= 3:14.0.0~rc1),
 python3-babel,
 python3-coverage,
 python3-designateclient (>= 1.5.0),
 python3-django (<< 2:2),
 python3-django-nose,
 python3-mock,
 python3-nose,
 python3-nose-exclude,
 python3-nosehtmloutput,
 python3-nosexcover,
 python3-openstack.nose-plugin,
 python3-openstackdocstheme (>= 1.16.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.log (>= 3.22.0),
 python3-testtools (>= 1.4.0),
 python3-unittest2,
 testrepository,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/services/designate-dashboard
Vcs-Git: https://salsa.debian.org/openstack-team/services/designate-dashboard.git
Homepage: https://github.com/stackforge/designate-dashboard

Package: python3-designate-dashboard
Architecture: all
Depends:
 openstack-dashboard (>= 3:14.0.0~rc1),
 python3-babel,
 python3-designateclient (>= 1.5.0),
 python3-oslo.log (>= 3.22.0),
 python3-pbr (>= 2.0.0),
 python3-pkg-resources,
 ${misc:Depends},
 ${python3:Depends},
Conflicts:
 python-designate-dashboard,
Description: OpenStack DNS as a Service - dashboard plugin
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package contains the OpenStack dashboard plugin.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_clean:
	dh_clean
	rm -rf .coverage*

override_dh_auto_clean:
	python3 setup.py clean

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_install:
	for i in $(PYTHON3S) ; do \
		python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp ; \
	done

	# Move config files to standard location
	install -d -m 755 $(CURDIR)/debian/tmp/etc/openstack-dashboard/enabled

	# Move config enabled
	mv -f $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/designatedashboard/enabled/_[0-9]*.py $(CURDIR)/debian/tmp/etc/openstack-dashboard/enabled/

	# Remove config files and dirs from /usr/lib/python3/dist-packages/designatedashboard/
	rm -rf $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/designatedashboard/enabled

	dh_install
	dh_missing --fail-missing

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR) \
		PYTHON=python3 \
		NOSE_WITH_OPENSTACK=1 \
		NOSE_OPENSTACK_COLOR=1 \
		NOSE_OPENSTACK_RED=0.05 \
		NOSE_OPENSTACK_YELLOW=0.025 \
		NOSE_OPENSTACK_SHOW_ELAPSED=1 \
		PYTHONDONTWRITEBYTECODE=1 \
		DJANGO_SETTINGS_MODULE=designatedashboard.settings \
		python3 $(CURDIR)/manage.py test designatedashboard -v 2 --settings=designatedashboard.tests.settings
	## Delete __pycache__
	find . -name __pycache__ -prune -exec rm -rf {} +;
endif

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/openstack/designate-dashboard/tags .*/(\d[\d\.]+)\.tar\.gz

## designate-dashboard 8.0.0~rc1

=== debian/changelog ===
designate-dashboard (8.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Removed package versions when satisfied in Buster.

 -- Thomas Goirand <zigo@debian.org>  Sun, 31 Mar 2019 21:12:31 +0200

=== debian/control ===
--- 
+++ 
@@ -10,15 +10,15 @@
  dh-python,
  openstack-pkg-tools,
  python3-all,
- python3-pbr (>= 2.0.0),
+ python3-pbr,
  python3-setuptools,
- python3-sphinx (>= 1.6.2),
+ python3-sphinx,
 Build-Depends-Indep:
- openstack-dashboard (>= 3:14.0.0~rc1),
+ openstack-dashboard (>= 3:15.0.0~rc1),
  python3-babel,
  python3-coverage,
- python3-designateclient (>= 1.5.0),
- python3-django (<< 2:2),
+ python3-designateclient,
+ python3-django,
  python3-django-nose,
  python3-mock,
  python3-nose,
@@ -26,13 +26,13 @@
  python3-nosehtmloutput,
  python3-nosexcover,
  python3-openstack.nose-plugin,
- python3-openstackdocstheme (>= 1.16.0),
- python3-oslo.config (>= 1:5.2.0),
- python3-oslo.log (>= 3.22.0),
- python3-testtools (>= 1.4.0),
+ python3-openstackdocstheme,
+ python3-oslo.config,
+ python3-oslo.log,
+ python3-testtools,
  python3-unittest2,
  testrepository,
-Standards-Version: 4.1.3
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/openstack-team/services/designate-dashboard
 Vcs-Git: https://salsa.debian.org/openstack-team/services/designate-dashboard.git
 Homepage: https://github.com/stackforge/designate-dashboard
@@ -40,11 +40,11 @@
 Package: python3-designate-dashboard
 Architecture: all
 Depends:
- openstack-dashboard (>= 3:14.0.0~rc1),
+ openstack-dashboard (>= 3:15.0.0~rc1),
  python3-babel,
- python3-designateclient (>= 1.5.0),
- python3-oslo.log (>= 3.22.0),
- python3-pbr (>= 2.0.0),
+ python3-designateclient,
+ python3-oslo.log,
+ python3-pbr,
  python3-pkg-resources,
  ${misc:Depends},
  ${python3:Depends},

## designate-dashboard 8.0.0

=== requirements.txt ===
--- 
+++ 
@@ -6,4 +6,4 @@
 Babel!=2.4.0,>=2.3.4 # BSD
 python-designateclient>=2.7.0 # Apache-2.0
 
-horizon>=14.0.0.0b2 # Apache-2.0
+horizon>=14.0.0.0b3 # Apache-2.0

=== debian/changelog ===
designate-dashboard (8.0.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Fri, 12 Apr 2019 08:48:34 +0100

designate-dashboard (8.0.0~rc1-0ubuntu1) disco; urgency=medium

  * d/watch: track 8.x series.
  * New upstream release candidate for OpenStack Stien.

 -- James Page <james.page@ubuntu.com>  Fri, 22 Mar 2019 11:27:18 +0000

designate-dashboard (8.0.0~b1~git2019031809.ffadf38-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Mon, 18 Mar 2019 16:37:35 +0000

designate-dashboard (8.0.0~b1~git2019013120.c3af205-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 31 Jan 2019 20:51:42 -0500

designate-dashboard (8.0.0~b1~git2018112016.84a26b0-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.
  * d/control,rules,python*: Drop Python 2 support.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 20 Nov 2018 16:14:12 -0500

designate-dashboard (7.0.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release for OpenStack Rocky.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 30 Aug 2018 15:04:58 -0400

designate-dashboard (7.0.0~rc1-0ubuntu1) cosmic; urgency=medium

  * New upstream release candidate for OpenStack Rocky.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 10 Aug 2018 15:17:13 -0400

designate-dashboard (7.0.0~b3-0ubuntu1) cosmic; urgency=medium

  * New upstream milestone for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 07 Aug 2018 13:31:53 -0400

designate-dashboard (7.0.0~b2-0ubuntu3) cosmic; urgency=medium

  * d/control: Drop python(3)-designate-dashboard conflicts to align with
    other dashboards.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 12 Jul 2018 11:27:22 -0400

designate-dashboard (7.0.0~b2-0ubuntu2) cosmic; urgency=medium

  * Add support for Python 3:
    - d/control: Add Py3 BDs and python3-designate-dashboard package.
    - d/control: Make python(3)-designate-dashboard conflict against each
      other.
    - d/rules: Add Py3 support.
    - python(3)-designate-dashboard.postinst: Added py3 postinst script
      and updated both scripts to ensure proper python binary is used when
      collecting/compressing static assets.
  * d/rules: Drop copy of static files to /usr/share/openstack-
    dashboard/openstack_dashboard/static. Static files are already collected
    from /usr/lib/python3/dist-packages/designatedashboard/static/.
  * d/rules: Drop dup cp of dashboards. python-django-horizon now uses update-
    alternatives to point /usr/share/openstack-dashboard/openstack_dashboard
    at /usr/lib/python*/dist-packages/openstack_dashboard.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 09 Jul 2018 16:26:35 -0400

designate-dashboard (7.0.0~b2-0ubuntu1) cosmic; urgency=medium

  * New upstream milestone for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 13 Jun 2018 13:20:42 -0400

designate-dashboard (7.0.0~b1-0ubuntu1) cosmic; urgency=medium

  * d/watch: Scope to 7.x series.
  * New upstream milestone for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Update Standards-Version to 4.1.4.
  * d/watch, d/copyright: Use https URLs.
  * d/control: Enable autopkgtest-pkg-python testsuite.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 31 May 2018 13:39:17 -0400

=== debian/control ===
Source: designate-dashboard
Section: python
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10~),
 dh-python,
 openstack-pkg-tools (>= 85ubuntu3~),
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 openstack-dashboard (>= 3:14.0.0),
 python3-babel (>= 2.3.4),
 python3-coverage (>= 4.0),
 python3-designateclient (>= 2.7.0),
 python3-hacking (>= 0.12.0),
 python3-django (>= 1:1.11),
 python3-django-compressor (>= 2.0),
 python3-django-horizon (>= 3:14.0.0),
 python3-django-nose (>= 1.4.4),
 python3-django-openstack-auth (>= 3.5.0),
 python3-mock (>= 2.0.0),
 python3-mox3 (>= 0.20.0),
 python3-nose (>= 1.3.7),
 python3-nose-exclude (>= 0.5.0),
 python3-nosehtmloutput (>= 0.0.3),
 python3-nosexcover (>= 1.0.10),
 python3-openstack.nose-plugin (>= 0.7),
 python3-openstackdocstheme (>= 1.18.1),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.log (>= 3.36.0),
 python3-reno (>= 2.5.0),
 python3-testrepository (>= 0.0.18),
 python3-testtools (>= 2.2.0),
 python3-unittest2 (>= 1.1.0),
 testrepository,
Standards-Version: 4.1.4
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/designate-dashboard
Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/designate-dashboard
Homepage: https://github.com/stackforge/designate-dashboard
Testsuite: autopkgtest-pkg-python

Package: python3-designate-dashboard
Architecture: all
Depends:
 openstack-dashboard (>= 3:14.0.0),
 python3-babel (>= 2.3.4),
 python3-designateclient (>= 2.7.0),
 python3-django-horizon (>= 3:14.0.0),
 python3-oslo.log (>= 3.36.0),
 python3-pbr (>= 2.0.0),
 python3-pkg-resources,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack DNS as a Service - Python 3 dashboard plugin
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package contains the Python 3 OpenStack dashboard plugin.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR) \
		NOSE_WITH_OPENSTACK=1 \
		NOSE_OPENSTACK_COLOR=1 \
		NOSE_OPENSTACK_RED=0.05 \
		NOSE_OPENSTACK_YELLOW=0.025 \
		NOSE_OPENSTACK_SHOW_ELAPSED=1 \
		PYTHONDONTWRITEBYTECODE=1 \
		DJANGO_SETTINGS_MODULE=designatedashboard.settings \
		python3 $(CURDIR)/manage.py test designatedashboard --settings=designatedashboard.tests.settings
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf .coverage*

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

	# Activates the designatedashboard plugin in Horizon - Python 3
	# designatedashboard/enabled/_17*
	mkdir -p $(CURDIR)/debian/python3-designate-dashboard/usr/lib/python3/dist-packages/openstack_dashboard/enabled ; \
	cp $(CURDIR)/designatedashboard/enabled/_17* $(CURDIR)/debian/python3-designate-dashboard/usr/lib/python3/dist-packages/openstack_dashboard/enabled

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.openstack.org/designate-dashboard designate-dashboard-(8\.\d.*)\.tar\.gz

## designate-dashboard 9.0.0

=== debian/changelog ===
designate-dashboard (9.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 16 Oct 2019 21:07:47 +0200

designate-dashboard (9.0.0~rc1-1) unstable; urgency=medium

  * New upstream release.
  * Now (build-)depends on Horizon 16.0.0~.

 -- Thomas Goirand <zigo@debian.org>  Thu, 10 Oct 2019 11:02:49 +0200

designate-dashboard (8.0.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Michal Arbet ]
  * Do not move files from source, copy it,
    kolla deployment expects that files are in /usr/lib...

 -- Michal Arbet <michal.arbet@ultimum.io>  Thu, 15 Aug 2019 18:12:37 +0200

designate-dashboard (8.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 11 Apr 2019 11:27:45 +0200

=== debian/control ===
Source: designate-dashboard
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 openstack-dashboard (>= 3:16.0.0~rc1),
 python3-babel,
 python3-coverage,
 python3-designateclient,
 python3-django,
 python3-django-nose,
 python3-mock,
 python3-nose,
 python3-nose-exclude,
 python3-nosehtmloutput,
 python3-nosexcover,
 python3-openstack.nose-plugin,
 python3-openstackdocstheme,
 python3-oslo.config,
 python3-oslo.log,
 python3-testtools,
 python3-unittest2,
 testrepository,
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/openstack-team/services/designate-dashboard
Vcs-Git: https://salsa.debian.org/openstack-team/services/designate-dashboard.git
Homepage: https://github.com/stackforge/designate-dashboard

Package: python3-designate-dashboard
Architecture: all
Depends:
 openstack-dashboard (>= 3:16.0.0~rc1),
 python3-babel,
 python3-designateclient,
 python3-oslo.log,
 python3-pbr,
 python3-pkg-resources,
 ${misc:Depends},
 ${python3:Depends},
Conflicts:
 python-designate-dashboard,
Description: OpenStack DNS as a Service - dashboard plugin
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package contains the OpenStack dashboard plugin.

## designate-dashboard 10.0.0~b2~git2020021011.4609ad1

=== debian/changelog ===
designate-dashboard (10.0.0~b2~git2020021011.4609ad1-0ubuntu2) focal; urgency=medium

  * d/control: Align horizon and python3-django (Build-)Depends with Ussuri.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 14 Feb 2020 10:26:17 -0500

designate-dashboard (10.0.0~b2~git2020021011.4609ad1-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Mon, 10 Feb 2020 12:43:17 +0100

designate-dashboard (10.0.0~b1~git2019121713.95dbf83-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.
  * d/control, d/rules, d/compat: Switch to debhelper compat 12 and pybuild.
  * d/rules: Update PBR_VERSION to handle ~git versioning.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 17 Dec 2019 13:17:30 -0500

designate-dashboard (9.0.0-0ubuntu1) eoan; urgency=medium

  * New stable point release for OpenStack Train.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Wed, 16 Oct 2019 18:00:18 +0100

designate-dashboard (9.0.0~rc1-0ubuntu1) eoan; urgency=medium

  [ Sahid Orentino Ferdjaoui ]
  * New upstream snapshot for OpenStack Train.

  [ Corey Bryant ]
  * d/watch: track 9.x series.
  * New upstream release candidate for OpenStack Train.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 27 Sep 2019 15:40:15 -0400

designate-dashboard (9.0.0~b2~git2019073116.9fecedf-0ubuntu3) eoan; urgency=medium

  * d/control: Switch back to python3-django >= 1:1.11. See related bug to
    prevent python3-django 2:2.2.4 from migrating to eoan-release:
    https://bugs.launchpad.net/bugs/1842969.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 05 Sep 2019 16:25:27 -0400

designate-dashboard (9.0.0~b2~git2019073116.9fecedf-0ubuntu2) eoan; urgency=medium

  * d/control: Ensure python3-django is << 2:2.2.4.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 26 Aug 2019 12:39:40 -0400

designate-dashboard (9.0.0~b2~git2019073116.9fecedf-0ubuntu1) eoan; urgency=medium

  * New upstream snapshot for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Wed, 31 Jul 2019 16:27:33 +0200

## designate-dashboard 10.0.0~b3~git2020032617.f4cf36e

=== requirements.txt ===
--- 
+++ 
@@ -6,4 +6,4 @@
 Babel!=2.4.0,>=2.3.4 # BSD
 python-designateclient>=2.7.0 # Apache-2.0
 
-horizon>=14.0.0.0b3 # Apache-2.0
+horizon>=17.1.0 # Apache-2.0

=== debian/changelog ===
designate-dashboard (10.0.0~b3~git2020032617.f4cf36e-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/python3-designate-dashboard.postinst: Align chown command with horizon package.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 26 Mar 2020 17:02:20 -0400

=== debian/control ===
Source: designate-dashboard
Section: python
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 openstack-pkg-tools (>= 85ubuntu3~),
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 openstack-dashboard (>= 3:18.0.0),
 python3-babel (>= 2.3.4),
 python3-coverage (>= 4.0),
 python3-designateclient (>= 2.7.0),
 python3-hacking (>= 1.1.0),
 python3-django (>= 2:2.2),
 python3-django-compressor (>= 2.0),
 python3-django-horizon (>= 3:18.0.0),
 python3-django-nose (>= 1.4.4),
 python3-django-openstack-auth (>= 3.5.0),
 python3-mock (>= 2.0.0),
 python3-mox3 (>= 0.20.0),
 python3-nose (>= 1.3.7),
 python3-nose-exclude (>= 0.5.0),
 python3-nosehtmloutput (>= 0.0.3),
 python3-nosexcover (>= 1.0.10),
 python3-openstack.nose-plugin (>= 0.7),
 python3-openstackdocstheme (>= 1.18.1),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.log (>= 3.36.0),
 python3-reno (>= 2.5.0),
 python3-sphinxcontrib.svg2pdfconverter (>= 0.1.0),
 python3-testrepository (>= 0.0.18),
 python3-testtools (>= 2.2.0),
 python3-unittest2 (>= 1.1.0),
 testrepository,
Standards-Version: 4.1.4
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/designate-dashboard
Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/designate-dashboard
Homepage: https://github.com/stackforge/designate-dashboard
Testsuite: autopkgtest-pkg-python

Package: python3-designate-dashboard
Architecture: all
Depends:
 openstack-dashboard (>= 3:18.0.0),
 python3-babel (>= 2.3.4),
 python3-designateclient (>= 2.7.0),
 python3-django (>= 2:2.2),
 python3-django-horizon (>= 3:18.0.0),
 python3-oslo.log (>= 3.36.0),
 python3-pbr (>= 2.0.0),
 python3-pkg-resources,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack DNS as a Service - Python 3 dashboard plugin
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package contains the Python 3 OpenStack dashboard plugin.

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.openstack.org/designate-dashboard designate-dashboard-(9\.\d.*)\.tar\.gz

## designate-dashboard 10.0.0

=== doc/requirements.txt ===
openstackdocstheme>=1.30.0 # Apache-2.0
sphinxcontrib-svg2pdfconverter>=0.1.0 # BSD

=== debian/changelog ===
designate-dashboard (10.0.0-0ubuntu0.20.04.1) focal; urgency=medium

  * d/watch: Scope to 10.x series and get tarballs from opendev.org.
  * New upstream release for OpenStack Ussuri (LP: #1877642).
  * d/gbp.conf: Create stable/ussuri branch.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 13 May 2020 14:28:42 -0400

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/designate-dashboard designate-dashboard-(10\.\d.*)\.tar\.gz
